/* TableStyleMedium12.java

	Purpose:
		
	Description:
		
	History:
		Mar 30, 2015 5:17:51 PM, Created by henrichen

	Copyright (C) 2015 Potix Corporation. All Rights Reserved.
*/

package org.zkoss.zssex.model.sys;

import org.zkoss.zss.model.SBorder.BorderType;
import org.zkoss.zss.model.SFill.FillPattern;
import org.zkoss.zss.model.STableStyleElem;
import org.zkoss.zss.model.SFont.Underline;
import org.zkoss.zss.model.impl.BorderImpl;
import org.zkoss.zss.model.impl.BorderLineImpl;
import org.zkoss.zss.model.impl.ExtraFillImpl;
import org.zkoss.zss.model.impl.FontImpl;
import org.zkoss.zss.model.impl.TableStyleElemImpl;
import org.zkoss.zss.model.impl.TableStyleImpl;

/**
 * Builtin TableStyleMediumn12
 * 
 * @author henri
 * @since 3.8.0
 */
public class TableStyleMedium12 extends TableStyleImpl {
	private TableStyleMedium12() {
		super(
				"TableStyleMedium12",//name,
				M12_Whole_Table, 	//wholeTable,
				M12_Col_Stripe1, 	//colStripe1,
				1, 					//colStripe1Size,
				null, 				//colStripe2,
				1, 					//colStripe2Size,
				M12_Row_Stripe1, 	//rowStripe1,
				1, 					//rowStripe1Size,
				null,				//rowStripe2,
				1, 					//rowStripe2Size,
				M12_Last_Col, 	//lastCol,
				M12_First_Col,	//firstCol,
				M12_Header_Row,	//headerRow,
				M12_Total_Row,	//totalRow,
				null,	//firstHeaderCell,
				null,	//lastHeaderCell,
				null,	//firstTotalCell,
				null	//lastTotalCell
			);
	}
	
	private static final STableStyleElem M12_Col_Stripe1 = 
			new TableStyleElemImpl(
				null,	//font
				new ExtraFillImpl(FillPattern.SOLID, "CCC0DA", "CCC0DA"), 	//fill //ZSS-1162
				null	//border
			);

	private static final STableStyleElem M12_Row_Stripe1 =
			M12_Col_Stripe1;
	private static final STableStyleElem M12_Last_Col =
			new TableStyleElemImpl(
				new FontImpl("FFFFFF", true /*bold*/, false /*fontItalic*/, 
					false /*fontStrikeout*/, Underline.NONE), 			//font
				new ExtraFillImpl(FillPattern.SOLID, "8064A2", "8064A2"),	//fill //ZSS-1162
				null //border
			);
	private static final STableStyleElem M12_First_Col =
			M12_Last_Col;
	private static final BorderLineImpl M12_Outline_Border =
			new BorderLineImpl(BorderType.THICK, "FFFFFF");
	private static final BorderLineImpl M12_Inside_Border =
			new BorderLineImpl(BorderType.THIN, "FFFFFF");
	private static final STableStyleElem M12_Total_Row =
			new TableStyleElemImpl(
					new FontImpl("FFFFFF", true /*bold*/, false /*fontItalic*/, 
							false /*fontStrikeout*/, Underline.NONE), 	//font
					new ExtraFillImpl(FillPattern.SOLID, "8064A2", "8064A2"),//fill //ZSS-1162
					new BorderImpl(
							null, //left 
							M12_Outline_Border, //top 
							null, //right
							null, //bottom
							null, //diagonal
							null, //vertical
							null  //horizontal
					)
			);
	private static final STableStyleElem M12_Header_Row =
			new TableStyleElemImpl(
					new FontImpl("FFFFFF", true /*bold*/, false /*fontItalic*/, 
							false /*fontStrikeout*/, Underline.NONE), 	//font
					new ExtraFillImpl(FillPattern.SOLID, "8064A2", "8064A2"),//fill //ZSS-1162
					new BorderImpl(
							null, //left 
							null, //top
							null, //right
							M12_Outline_Border, //bottom 
							null, //diagonal
							null, //vertical
							null  //horizontal
					)
			);
	private static final STableStyleElem M12_Whole_Table = 
			new TableStyleElemImpl(
					new FontImpl("000000", false /*bold*/, false /*fontItalic*/, 
							false /*fontStrikeout*/, Underline.NONE), 	//font
					new ExtraFillImpl(FillPattern.SOLID, "E5E0EC", "E5E0EC"),//fill //ZSS-1162
					new BorderImpl(
							null, //left 
							null, //top 
							null, //right
							null, //bottom
							null, //diagonal
							M12_Inside_Border,	//vertical
							M12_Inside_Border 	//horizontal
					)
			);

	public static final TableStyleMedium12 instance = new TableStyleMedium12();
}
